#
# spec file for package ghc-unbounded-delays
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name unbounded-delays
Name:           ghc-%{pkg_name}
Version:        0.1.1.0
Release:        lp150.1.8
Summary:        Unbounded thread delays and timeouts
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
The 'threadDelay' and 'timeout' functions from the 'base' library use the
bounded 'Int' type for specifying the delay or timeout period. This packages
provides alternatives which use the unbounded 'Integer' type.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc README.markdown

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu May 18 2017 psimons@suse.com
- Update to version 0.1.1.0 with cabal2obs.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.1.0.10 revision 1 with cabal2obs.
* Tue Apr  4 2017 psimons@suse.com
- Update to version 0.1.0.10 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.0.9 revision 0 with cabal2obs.
* Mon Feb 22 2016 psimons@suse.com
- initial version unbounded-delays-0.1.0.9
